<h2 class="my-2">Customers</h2>
<p>
  <a
    [routerLink]="['.', 'new']"
    color="primary"
    data-testid="btn-customers-add"
    mat-raised-button
    >Add Customer</a
  >
</p>
<div *ngIf="data$ | async as data" class="customers">
  <div class="row header">
    <p class="edit">&nbsp;</p>
    <p class="name">Name</p>
    <p class="country">Country</p>
    <p class="birthdate">Date of Birth</p>
  </div>
  <ng-container *ngIf="data.customers.length > 0; else noCustomers">
    <div
      *ngFor="let customer of data.customers"
      class="row"
      data-testid="row-customer"
      [attr.aria-labelledby]="'customer-' + customer.id"
    >
      <p class="edit" data-testid="btn-edit">
        <a [routerLink]="['.', customer.id]" aria-label="Edit Customer">
          <mat-icon>edit</mat-icon>
        </a>
      </p>
      <p class="name" [id]="'customer-' + customer.id" data-testid="name">
        {{ customer.firstname }} {{ customer.name }}
      </p>
      <p class="country">{{ customer.country }}</p>
      <p class="birthdate">{{ customer.birthdate | date }}</p>
    </div>
    <div class="paginator">
      <button
        [disabled]="data.currentPage === 0"
        mat-raised-button
        (click)="previousPage()"
        aria-label="previous"
      >
        <mat-icon data-testid="btn-customers-back"> arrow_back </mat-icon>
      </button>
      {{ data.currentPage + 1 }}
      <button
        [disabled]="data.currentPage >= data.pageCount"
        data-testid="btn-customers-next"
        mat-raised-button
        (click)="nextPage()"
        aria-label="next"
      >
        <mat-icon>arrow_forward</mat-icon>
      </button>
    </div>
  </ng-container>
  <ng-template #noCustomers>
    <p>We don't have any customers yet 😥</p>
  </ng-template>
</div>

<footer class="text-right my-2">last update: {{ prettyTime() }}</footer>
